Loading...
Searching...
No Matches
juce::Thread::Listener Class Referenceabstract

`#include <juce_Thread.h>`

Inheritance diagram for juce::Thread::Listener:

## Public Member Functions

virtual void | exitSignalSent ()=0

## Detailed Description

Used to receive callbacks for thread exit calls

Definition at line 395 of file juce_Thread.h.

## Member Function Documentation

## exitSignalSent()

virtual void juce::Thread::Listener::exitSignalSent | ( |  | ) |

pure virtual

Called if Thread::signalThreadShouldExit was called.

See also
  Thread::threadShouldExit, Thread::addListener, Thread::removeListener

Referenced by juce::ThreadPoolJob::signalJobShouldExit(), and juce::Thread::signalThreadShouldExit().

The documentation for this class was generated from the following file:

- juce_Thread.h